<div class="account section">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-lg-6">
          <div class="login-form border p-5">
            <div class="text-center heading">
              <h2 class="mb-2">Login</h2>
              <p class="lead">non hai un account? <a href="#">Creane uno nuovo</a></p>
            </div>

<!--            <form #postForm="ngForm" (ngSubmit)="login(postForm.value)">-->
<!--              <div class="form-group mb-4">-->
<!--                <label for="#" >Nome Cognome</label>-->
<!--                <input type="text" class="form-control" id="user" placeholder="inserire Nominativo" required ngModel name="user" >-->
<!--              </div>-->
<!--              <div class="form-group">-->
<!--                <label for="#">Password</label>-->
<!--                <a class="float-right" href="">password dimenticata?</a>-->
<!--                <input type="text" id="password" class="form-control" placeholder="Inserire Password" required ngModel name="password" >-->
<!--              </div>-->
            <form *ngIf="!isLoggedIn" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
              <div class="form-group">
                <label for="username">Username</label>
                <input type="text" class="form-control" name="username" [(ngModel)]="form.username" required #username="ngModel"/>
                <div
                  class="alert alert-danger"
                  role="alert"
                  *ngIf="username.errors && f.submitted"
                >
                  Username is required!
                </div>
              </div>
              <div class="form-group">
                <label for="password">Password</label>
                <input
                  type="password"
                  class="form-control"
                  name="password"
                  [(ngModel)]="form.password"
                  required
                  minlength="6"
                  #password="ngModel"
                />
                <div
                  class="alert alert-danger"
                  role="alert"
                  *ngIf="password.errors && f.submitted"
                >
                  <div *ngIf="password.errors['required']">Password is required</div>
                  <div *ngIf="password.errors['minlength']">
                    Password must be at least 6 characters
                  </div>
                </div>
              </div>
              <div class="form-group">
                <button class="btn btn-primary btn-block">
                  Login
                </button>
              </div>
              <div class="form-group">
                <div
                  class="alert alert-danger"
                  role="alert"
                  *ngIf="f.submitted && isLoginFailed"
                >
                  Login failed: {{ errorMessage }}
                </div>
              </div>
            </form>

<!--              <button class="btn btn-main mt-3 btn-block" type="submit" >Login</button>-->
<!--              &lt;!&ndash;<a href="#" class="btn btn-main mt-3 btn-block">Login</a>&ndash;&gt;-->
<!--            </form>-->
          </div>
        </div>
      </div>
    </div>
  </div>

<!--<div class="col-md-12">
  <div class="card card-container">
    <img
      id="profile-img"
      src="//ssl.gstatic.com/accounts/ui/avatar_2x.png"
      class="profile-img-card"
    />
    <form *ngIf="!isLoggedIn" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm" novalidate>
      <div class="form-group">
        <label for="username">Username</label>
        <input type="text" class="form-control" name="username" [(ngModel)]="form.username" required #username="ngModel"/>
        <div
          class="alert alert-danger"
          role="alert"
          *ngIf="username.errors && f.submitted"
        >
          Username is required!
        </div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          type="password"
          class="form-control"
          name="password"
          [(ngModel)]="form.password"
          required
          minlength="6"
          #password="ngModel"
        />
        <div
          class="alert alert-danger"
          role="alert"
          *ngIf="password.errors && f.submitted"
        >
          <div *ngIf="password.errors['required']">Password is required</div>
          <div *ngIf="password.errors['minlength']">
            Password must be at least 6 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-primary btn-block">
          Login
        </button>
      </div>
      <div class="form-group">
        <div
          class="alert alert-danger"
          role="alert"
          *ngIf="f.submitted && isLoginFailed"
        >
          Login failed: {{ errorMessage }}
        </div>
      </div>
    </form>

    <div class="alert alert-success" *ngIf="isLoggedIn">
      Logged in as {{ roles }}.
    </div>
  </div>
</div>-->
